### Virtual Method

# Gio Icon equal

#### Declaration

    gboolean
    equal (
      GIcon* icon1,
      GIcon* icon2
    )

#### Description

Checks if two icons are equal.

#### Parameters

`icon2`

  Type: `GIcon`

  Pointer to the second `GIcon`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `icon1` is equal to `icon2`. `FALSE` otherwise.